Bug 1284164 - Impressive can't open my test pdf: Exception: tostring() has been removed. Please call tobytes() instead.
Impressive can't open my test pdf: Exception: tostring() has been removed. Pl...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: impressive (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael J Gruber
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-21 05:33 EST by Grégoire
Modified: 2015-12-02 16:51 EST (History)
1 user (show)

See Also:
Fixed In Version: impressive-0.11.1-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 16:51:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test pdf (3.11 KB, application/pdf)
2015-11-21 05:33 EST, Grégoire
no flags Details

  None (edit)
Description Grégoire 2015-11-21 05:33:39 EST
Created attachment 1097455 [details]
test pdf

Description of problem: This might be the same as 1284163 but the symptoms are different so I decided to open a different issue.  The main problem is the same: I can't open a pdf with impressive.  This time, I created the pdf with inkscape and instead of telling me the pdf has no pages, impressive crashes with a python exception.


Version-Release number of selected component (if applicable): 0.10.4


How reproducible: reproducible


Steps to Reproduce:
1. save attached pdf somewhere
2. run `impressive path/to/drawing.pdf`

Actual results: impressive crashes with a python exception:

> Impressive version: 0.10.4
> Python version: 2.7.10 (default, Sep  8 2015, 17:20:17) 
> [GCC 5.1.1 20150618 (Red Hat 5.1.1-4)]
> PyGame version: 1.9.2a0
> PIL version: 1.1.7
> PyOpenGL version: 3.1.0
> Operating system: Linux 4.2.5-300.fc23.x86_64 (x86_64)
> Linux distribution: "Fedora release 23 (Twenty Three)"
> Command line: /usr/lib/python2.7/site-packages/impressive.py Downloads/drawing.pdf
> Traceback (most recent call last):
>   File "/usr/lib/python2.7/site-packages/impressive.py", line 4693, in <module>
>     run_main()
>   File "/usr/lib/python2.7/site-packages/impressive.py", line 4143, in run_main
>     main()
>   File "/usr/lib/python2.7/site-packages/impressive.py", line 3950, in main
>     glTexImage2D(GL_TEXTURE_2D, 0, 1, 256, 64, 0, GL_LUMINANCE, GL_UNSIGNED_BYTE, LogoImage.tostring())
>   File "/usr/lib64/python2.7/site-packages/PIL/Image.py", line 686, in tostring
>     "Please call tobytes() instead.")
> Exception: tostring() has been removed. Please call tobytes() instead.


Expected results: impressive should display my pdf on the screen


Additional info: I'm not sure it matters but before the crash, the screen becomes black for like a second.
Comment 1 Fedora Update System 2015-11-21 10:56:47 EST
impressive-0.11.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-ddafac2837
Comment 2 Michael J Gruber 2015-11-21 11:01:59 EST
Screen blanking is the usual behaviour of impressive, by the way. It blanks the screen before parsing and caching the pdf.
Comment 3 Fedora Update System 2015-11-22 09:25:01 EST
impressive-0.11.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update impressive'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-ddafac2837
Comment 4 Fedora Update System 2015-12-02 16:51:15 EST
impressive-0.11.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.